<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Send_GeoFence_To_Vehicle StructType
 * @subpackage Structs
 */
class Send_GeoFence_To_Vehicle extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The GeoFenceSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GeoFenceVehicleSelection
     */
    public $GeoFenceSelection;
    /**
     * Constructor method for Send_GeoFence_To_Vehicle
     * @uses Send_GeoFence_To_Vehicle::setLogin()
     * @uses Send_GeoFence_To_Vehicle::setGeoFenceSelection()
     * @param \StructType\Login $login
     * @param \StructType\GeoFenceVehicleSelection $geoFenceSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\GeoFenceVehicleSelection $geoFenceSelection = null)
    {
        $this
            ->setLogin($login)
            ->setGeoFenceSelection($geoFenceSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Send_GeoFence_To_Vehicle
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get GeoFenceSelection value
     * @return \StructType\GeoFenceVehicleSelection|null
     */
    public function getGeoFenceSelection()
    {
        return $this->GeoFenceSelection;
    }
    /**
     * Set GeoFenceSelection value
     * @param \StructType\GeoFenceVehicleSelection $geoFenceSelection
     * @return \StructType\Send_GeoFence_To_Vehicle
     */
    public function setGeoFenceSelection(\StructType\GeoFenceVehicleSelection $geoFenceSelection = null)
    {
        $this->GeoFenceSelection = $geoFenceSelection;
        return $this;
    }
}
